# funkwhale

> Funkwhale is a self-hosted, modern free and open-source music server, heavily inspired by Grooveshark.

<!-- metadata -->

* **Category**: Apps
* **Status**: 0
* **Image**: [`funkwhale`](https://hub.docker.com/r/funkwhale), 4, upstream
* **Healthcheck**: No
* **Backups**: No
* **Email**: No
* **Tests**: No
* **SSO**: No

<!-- endmetadata -->

## Quick start

* `abra app new funkwhale --secrets`
* `abra app config <app-name>`
* `abra app deploy <app-name>`

For more, see [`docs.coopcloud.tech`](https://docs.coopcloud.tech).

## Tips & Tricks

### First deployment

Before you deploy: `abra app cmd <app> secrets --local`

After you deploy:
- `cp -r frontend/* /srv/funkwhale/front/dist`
- `abra app cmd <app> api migrate`
- `abra app cmd <app> api admin`
